package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;
import com.cloudcross.ssp.model.PlaceOperator;

/**
 * 
 * @author chenyou
 *
 */
public interface IPlaceOperatorService extends IGenericService<PlaceOperator> {
	/**
	 * 根据运营商自定义的场景名称和运营商id查找对应的标准场景id
	 */
	Long findByNameAndOperatorId(Map<String, Object> paramMap);
	
	/**
	 * 根据运营商id查找该运营商下所有自己定义的场景
	 * @param OperatorId
	 * @return
	 */
	List<String> findPlaceByOperator(Long OperatorId);
	
	/**
	 * 查找该运营商定义的场景所对应的所有的云联定义的场景
	 * @param OperatorId
	 * @return
	 */
	List<Map<Long, String>> findPlace(Long OperatorId);
	
	List<PlaceOperator> findByParams(Map<String, Object> paramMap);
	
	int countByParamsBack(Map<String, Object> paramMap);
	List<PlaceOperator> findByParamsBack(Map<String, Object> paramMap,
			Pager pager);
	List<PlaceOperator> findByParamsBack(Map<String, Object> paramMap);
	
	/**
	 * 查找未分类的场景的条数
	 * @param paramMap
	 * @return
	 */
	int countUnclassfiedPlace(Map<String, Object> paramMap);

	/**
	 * 查找未分类的场景的信息
	 * @param paramMap
	 * @return
	 */
	List<PlaceOperator> findUnclassfiedPlace(Map<String, Object> paramMap);

	/**
	 * 保存对应关系，将选择的未分类的场景的对应的数聚场景的id进行更新
	 * @param 
	 * @return
	 */
	boolean update(Map<String, Object> paramMap);
}
